#356 0.39 Crashes W/o Error Message When Accessing Tech Screen

closed-out-of-date
nobody
None
5
2008-12-24
2008-04-30
Anonymous
No

I am running on Ubuntu 8.04, with all other system requirements met according to what I can discern from the hardware & software requirements.

Discussion

  • Nobody/Anonymous

    Logged In: NO

    Sorry, this is the submitter -- I can be reached at iconrad01@cox.net. Thanks!

     
  • Nobody/Anonymous

    Logged In: NO

    Sorry, this is the submitter -- I can be reached at iconrad01@cox.net. Thanks!

     
  • Markus Sinner

    Markus Sinner - 2008-06-05

    Logged In: YES
    user_id=853243
    Originator: NO

    This crash could be related to a missing module in graphviz.

    If anyone does have further information, it would be useful to know. Please upload the files freeorion.log and freeoriond.log, which can be found in $HOME/.freeorion.

    Also, please choose the latest version available at http://psitronic.de/div/FO/ - this problem may have been fixed.

     
  • Nobody/Anonymous

    Logged In: NO

    This is from the freeorion that exits when clicking on the research tab.

    2008-06-06 15:37:44,023 DEBUG Server : starting /tmp/freeorion/application/freeorionca
    2008-06-06 15:37:45,059 DEBUG Server : done starting /tmp/freeorion/application/freeorionca
    2008-06-06 15:37:45,060 DEBUG Server : starting /tmp/freeorion/application/freeorionca
    2008-06-06 15:37:46,101 DEBUG Server : done starting /tmp/freeorion/application/freeorionca
    2008-06-06 15:37:46,101 DEBUG Server : starting /tmp/freeorion/application/freeorionca
    2008-06-06 15:37:47,147 DEBUG Server : done starting /tmp/freeorion/application/freeorionca
    2008-06-06 15:37:47,147 DEBUG Server : starting /tmp/freeorion/application/freeorionca
    2008-06-06 15:37:48,219 DEBUG Server : done starting /tmp/freeorion/application/freeorionca
    2008-06-06 15:37:48,220 DEBUG Server : Creating universe with 100 stars and 1 players.
    2008-06-06 15:37:48,614 DEBUG Server : Setting Altais (Planet #609) to be home system for Empire 0
    2008-06-06 15:37:48,718 DEBUG Server : Setting Tabul (Planet #610) to be home system for Empire 1
    2008-06-06 15:37:48,719 DEBUG Server : Setting Tombaugh (Planet #611) to be home system for Empire 2
    2008-06-06 15:37:48,721 DEBUG Server : Setting Asteria (Planet #612) to be home system for Empire 3
    2008-06-06 15:37:48,722 DEBUG Server : Setting Mirfak (Planet #613) to be home system for Empire 4
    2008-06-06 15:37:50,420 DEBUG Server : WaitingForTurnEnd.TurnOrders : Received orders from player 1
    2008-06-06 15:37:50,421 DEBUG Server : WaitingForTurnEnd.TurnOrders : Received orders from player 2
    2008-06-06 15:37:50,421 DEBUG Server : WaitingForTurnEnd.TurnOrders : Received orders from player 3
    2008-06-06 15:37:50,421 DEBUG Server : WaitingForTurnEnd.TurnOrders : Received orders from player 4
    2008-06-06 15:37:55,457 DEBUG Server : ServerFSM::HandleNonLobbyDisconnection : Host player disconnected; server terminating.
    2008-06-06 15:37:55,459 FATAL Server : Initiating Exit (code 1 - error termination)

     
  • Nobody/Anonymous

    Logged In: NO

    This is from the freeorion that exits when clicking on the research tab.

    2008-06-06 15:47:40,268 DEBUG Client : OpenAL initialized. Version 1.1Renderer SoftwareVendor OpenAL Community
    Extensions: ALC_EXT_capture AL_EXT_capture AL_EXT_vorbis AL_EXT_MP3 AL_LOKI_quadriphonic AL_LOKI_play_position AL_LOKI_WAVE_format AL_LOKI_IMA_ADPCM_format AL_LOKI_buffer_data_callback ALC_LOKI_audio_channel

    2008-06-06 15:47:40,847 DEBUG Client : SDLInit() complete.
    2008-06-06 15:47:40,848 DEBUG Client : GLInit() complete.
    2008-06-06 15:47:41,941 DEBUG Client : Limited FPS to 60

     
  • Markus Sinner

    Markus Sinner - 2008-06-06

    Logged In: YES
    user_id=853243
    Originator: NO

    Do you have python2.4 installe? If not, install it with your packet-manager or by typing in the command prompt:
    sudo apt-get install python2.4
    (then you will have to type in your password)

    Please be sure to use the latest version:
    http://psitronic.de/div/FO/latest.tar.gz

     
  • Nobody/Anonymous

    Logged In: NO

    dpkg --get-selections |grep python
    python install
    python-apt install
    python-cairo install
    python-central install
    python-dbus install
    python-gobject install
    python-gtk2 install
    python-imaging install
    python-minimal install
    python-numeric install
    python-support install
    python2.4 install
    python2.4-minimal install
    python2.5 install
    python2.5-minimal install

    I can't figure out what information you want.
    Do you want the logs from http://psitronic.de/div/FO/latest.tar.gz that don't crash?
    Or do you want the logs from the version that do crash when i click on the research tab?

     
  • Nobody/Anonymous

    Logged In: NO

    I do not any more have an overview about what we are discussing here ^^

    Lets make some things clear:
    - The latest version works
    - The revision 2548 works
    - There was a version in between that was known to crash if research tab was clicked

    If that's the current situation, then this report can be closed, for it works in newer version...

     
  • Geoff Topping

    Geoff Topping - 2008-12-24

    Seems to be fixed, based on comments.

     
  • Geoff Topping

    Geoff Topping - 2008-12-24
    • status: open --> closed-out-of-date
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks